Get Orders
curl --request GET \
--url https://api.usecobalt.com/v1/orders \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/orders"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"orders": [
{
"order_id": "<string>",
"order_name": "<string>",
"order_date": "2023-12-25",
"provider_id": "<string>",
"patient_mrn": "<string>",
"patient_name": "<string>",
"patient_dob": "2023-12-25",
"appointment_id": "<string>",
"priority": "<string>",
"assigned_to_name": "<string>",
"emr_assigned_to_id": "<string>",
"lab_results": {}
}
]
}Orders
Get Orders
Returns a list of orders for a patient.
GET
/
orders
Get Orders
Example Request
curl -X GET https://api.usecobalt.com/v1/orders \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH' \
-G \
--data-urlencode "patient_mrn=414421" \
--data-urlencode "start_date=2024-01-01" \
--data-urlencode "end_date=2024-03-31"
Example Response
{
"success": true,
"orders": [
{
"order_id": "ord_123456",
"order_name": "Comprehensive Metabolic Panel",
"order_date": "2024-02-15",
"provider_id": "prov_789",
"patient_mrn": "414421",
"patient_name": "Jane Smith",
"patient_dob": "1980-06-15",
"appointment_id": "appt_456",
"priority": "routine",
"assigned_to_name": "Jane Doe",
"emr_assigned_to_id": "staff_101",
"lab_results": null
},
{
"order_id": "ord_789012",
"order_name": "Chest X-Ray",
"order_date": "2024-03-01",
"provider_id": "prov_789",
"patient_mrn": "414421",
"patient_name": "Jane Smith",
"patient_dob": "1980-06-15",
"appointment_id": "appt_789",
"priority": null,
"assigned_to_name": null,
"emr_assigned_to_id": null,
"lab_results": null
}
]
}
Authorizations
Query Parameters
The medical record number of the patient
Filter orders after this date (ISO 8601 format)
Filter orders before this date (ISO 8601 format)
⌘I